# Calculator++

Scientific calculator with sleek interface and powerful capabilities. This repository contains the version distributed by [F-Droid.org](https://f-droid.org/) and is a slightly modified version of [Sero's](https://github.com/serso/android-calculatorpp) original Calculator++ App. The modifications consist of removing pre-built binaries from the repository as well as removing Google Analytics. All credit besides the before mentioned modifications go to the original author. No further work is planned here from my side. 

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
      alt="Get it on F-Droid"
      height="70">](https://f-droid.org/en/packages/org.solovyev.android.calculator/)

(The original version is also available via [Google Play](https://play.google.com/store/apps/details?id=org.solovyev.android.calculator))

![Demo how the app looks like](https://raw.githubusercontent.com/Bubu/android-calculatorpp/master/assets/intro.png "An image showing three phone screens, each showing one view of the calculator app")

★ Save your time!
* Access additional features from the main screen of the app using gestures. For example, to use «%» slide button «/» up
* You don't need to press «=» anymore - result is calculated automatically
* Copy/paste with a single button press
* App supports both portrait and landscape screen orientations

★ Personalize!
* C++ has two layouts: standard and engineer. Choose one which suits you best either from the initial wizard or from the application settings
* Set theme you like
* Add home screen widget

★ Do calculations without switching between the apps!
Calculator++ can work in a separate window floating over other applications on your phone

★ Calculate percentages, square roots, powers, trigonometric functions!
Calculator has a big variety of built-in functions and supports adding new user-defined functions

★ Plot 2D and 3D graphs!
Several functions can be plotted simultaneously

★ Use powerful mathematical capabilities of the app:
* Do calculations with variables and constants
* Use built-in functions or add your own
* Integrate and differentiate
* Do calculations with fractions and simplify expressions
* Do calculations with complex numbers

## License

This project is licensed under [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0).
The license of this repo was added based on [the comment](https://web.archive.org/web/20210107155932/https://github.com/serso/android-calculatorpp/issues/184#issuecomment-317447082) of the original author (Sergey Solovyev) on 2017-07-24 in which he wrote:

> The project uses Apache License, Version 2.0 (see source files for example). Unfortunately, I didn't have time to declare the licence in a proper way

The LICENSE file of this repo is [what Apache.org provides in text format](https://www.apache.org/licenses/LICENSE-2.0.txt). The only modification made was changing the name from `LICENSE-2.0.txt` to `LICENSE`.
